package com.umsl.creature;

import java.util.List;
import java.util.ArrayList;

import com.umsl.creature.livingCreatures.*;
import com.umsl.creature.species.*;
/**
 * Hello world!
 *
 */
public class App 
{
    public static void main( String[] args )
    {

        List<Animal> animalList = new ArrayList<>();
        List<Fungi> fungiList = new ArrayList<>();
        List<Plant> plantList = new ArrayList<>();
        
        Wolf wolf = new Wolf();
        Cow cow = new Cow();
        Mushroom mushroom = new Mushroom();
        Moss moss = new Moss();
        OakTree oak = new OakTree();
        Rose rose = new Rose();

        animalList.add(cow);
        animalList.add(wolf);

        plantList.add(oak);
        plantList.add(rose);

        fungiList.add(mushroom);
        fungiList.add(moss);

        for (Animal animal : animalList) {
            System.out.println(animal.toString());
        }

        for (Plant plant : plantList) {
            System.out.println(plant.toString());
        }

        for (Fungi fungi : fungiList) {
            System.out.println(fungi.toString());
        }

    }
}
